/* A Bison parser, made by GNU Bison 3.0.5.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         protobuf_langparse
#define yylex           protobuf_langlex
#define yyerror         protobuf_langerror
#define yydebug         protobuf_langdebug
#define yynerrs         protobuf_langnerrs


/* Copy the first part of user declarations.  */
#line 26 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:339  */

/* protobuf_lang.y
 *
 * C Protocol Buffers Language (PBL) Parser (for *.proto files)
 * Copyright 2019, Huang Qiangxiong <qiangxiong.huang@qq.com>
 *
 * SPDX-License-Identifier: GPL-2.0-or-later
 */

/* This parser is mainly to get MESSAGE, ENUM, and FIELD information from *.proto files.
 * There are two formats of *.proto files:
 * 1) Protocol Buffers Version 3 Language Specification:
 *      https://developers.google.com/protocol-buffers/docs/reference/proto3-spec
 * 2) Protocol Buffers Version 2 Language Specification:
 *      https://developers.google.com/protocol-buffers/docs/reference/proto2-spec
 * There are some errors about 'proto', 'option' (value) and 'reserved' (fieldName) definitions on the site.
 * This parser is created because Wireshark is mainly implemented in plain ANSI C but the offical
 * Protocol Buffers Language parser is implemented in C++.
 */
#include "config.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <glib.h>
#include <wsutil/file_util.h>
#include "protobuf_lang_tree.h"
DIAG_OFF_BYACC
#include "protobuf_lang.h"
#include "protobuf_lang_scanner_lex.h"
DIAG_ON_BYACC

#define NAME_TO_BE_SET "<NAME_TO_BE_SET>"
#define NEED_NOT_NAME "<NEED_NOT_NAME>"

/* Error handling function for bison */
void protobuf_langerror(void* yyscanner, protobuf_lang_state_t *state, const char *msg);

/* Extended error handling function */
void protobuf_langerrorv(void* yyscanner, protobuf_lang_state_t *state, const char *fmt, ...);

DIAG_OFF_BYACC

#line 117 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "protobuf_lang.h".  */
#ifndef YY_PROTOBUF_LANG_USR_SRC_RPM_BUILD_WIRESHARK_3_2_6_BUILD_EPAN_PROTOBUF_LANG_H_INCLUDED
# define YY_PROTOBUF_LANG_USR_SRC_RPM_BUILD_WIRESHARK_3_2_6_BUILD_EPAN_PROTOBUF_LANG_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int protobuf_langdebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    PT_QUOTE = 258,
    PT_LPAREN = 259,
    PT_RPAREN = 260,
    PT_LBRACKET = 261,
    PT_RBRACKET = 262,
    PT_LCURLY = 263,
    PT_RCURLY = 264,
    PT_EQUAL = 265,
    PT_NOTEQUAL = 266,
    PT_NOTEQUAL2 = 267,
    PT_GEQUAL = 268,
    PT_LEQUAL = 269,
    PT_ASSIGN_PLUS = 270,
    PT_ASSIGN = 271,
    PT_PLUS = 272,
    PT_MINUS = 273,
    PT_MULTIPLY = 274,
    PT_DIV = 275,
    PT_LOGIC_OR = 276,
    PT_OR = 277,
    PT_LOGIC_AND = 278,
    PT_AND = 279,
    PT_NOT = 280,
    PT_NEG = 281,
    PT_XOR = 282,
    PT_SHL = 283,
    PT_SHR = 284,
    PT_PERCENT = 285,
    PT_DOLLAR = 286,
    PT_COND = 287,
    PT_SEMICOLON = 288,
    PT_DOT = 289,
    PT_COMMA = 290,
    PT_COLON = 291,
    PT_LESS = 292,
    PT_GREATER = 293,
    PT_SYNTAX = 294,
    PT_IMPORT = 295,
    PT_WEAK = 296,
    PT_PUBLIC = 297,
    PT_PACKAGE = 298,
    PT_OPTION = 299,
    PT_REQUIRED = 300,
    PT_OPTIONAL = 301,
    PT_REPEATED = 302,
    PT_ONEOF = 303,
    PT_MAP = 304,
    PT_RESERVED = 305,
    PT_ENUM = 306,
    PT_GROUP = 307,
    PT_EXTEND = 308,
    PT_EXTENSIONS = 309,
    PT_MESSAGE = 310,
    PT_SERVICE = 311,
    PT_RPC = 312,
    PT_STREAM = 313,
    PT_RETURNS = 314,
    PT_TO = 315,
    PT_PROTO2 = 316,
    PT_PROTO3 = 317,
    PT_IDENT = 318,
    PT_STRLIT = 319,
    PT_DECIMALLIT = 320,
    PT_OCTALLIT = 321,
    PT_HEXLIT = 322
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 73 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:355  */

    char* sval;
    pbl_node_t* node;
    int ival;

#line 231 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif



int protobuf_langparse (void *yyscanner, protobuf_lang_state_t *state);

#endif /* !YY_PROTOBUF_LANG_USR_SRC_RPM_BUILD_WIRESHARK_3_2_6_BUILD_EPAN_PROTOBUF_LANG_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 247 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  7
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   706

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  68
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  62
/* YYNRULES -- Number of rules.  */
#define YYNRULES  186
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  314

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   322

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   114,   114,   115,   118,   138,   139,   143,   144,   145,
     146,   147,   148,   153,   154,   155,   159,   169,   170,   175,
     176,   177,   185,   188,   190,   191,   192,   193,   194,   198,
     198,   198,   198,   198,   198,   198,   198,   199,   199,   199,
     199,   199,   199,   199,   199,   199,   200,   200,   200,   200,
     200,   200,   200,   200,   200,   200,   201,   201,   201,   201,
     201,   201,   207,   208,   209,   210,   214,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   236,
     241,   242,   243,   244,   249,   251,   257,   258,   261,   266,
     270,   271,   272,   273,   274,   279,   280,   286,   289,   292,
     295,   299,   301,   302,   307,   308,   313,   318,   320,   321,
     328,   331,   334,   337,   342,   342,   342,   348,   350,   354,
     356,   361,   367,   371,   375,   379,   380,   381,   387,   390,
     397,   404,   414,   418,   423,   424,   429,   430,   435,   436,
     437,   444,   445,   450,   456,   457,   458,   459,   462,   463,
     464,   465,   466,   467,   468,   469,   472,   480,   480,   480,
     484,   487,   487,   490,   491,   491,   491,   491,   491,   491,
     492,   492,   492,   492,   492,   492,   492,   493,   493,   493,
     493,   493,   493,   493,   496,   496,   496
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "PT_QUOTE", "PT_LPAREN", "PT_RPAREN",
  "PT_LBRACKET", "PT_RBRACKET", "PT_LCURLY", "PT_RCURLY", "PT_EQUAL",
  "PT_NOTEQUAL", "PT_NOTEQUAL2", "PT_GEQUAL", "PT_LEQUAL",
  "PT_ASSIGN_PLUS", "PT_ASSIGN", "PT_PLUS", "PT_MINUS", "PT_MULTIPLY",
  "PT_DIV", "PT_LOGIC_OR", "PT_OR", "PT_LOGIC_AND", "PT_AND", "PT_NOT",
  "PT_NEG", "PT_XOR", "PT_SHL", "PT_SHR", "PT_PERCENT", "PT_DOLLAR",
  "PT_COND", "PT_SEMICOLON", "PT_DOT", "PT_COMMA", "PT_COLON", "PT_LESS",
  "PT_GREATER", "PT_SYNTAX", "PT_IMPORT", "PT_WEAK", "PT_PUBLIC",
  "PT_PACKAGE", "PT_OPTION", "PT_REQUIRED", "PT_OPTIONAL", "PT_REPEATED",
  "PT_ONEOF", "PT_MAP", "PT_RESERVED", "PT_ENUM", "PT_GROUP", "PT_EXTEND",
  "PT_EXTENSIONS", "PT_MESSAGE", "PT_SERVICE", "PT_RPC", "PT_STREAM",
  "PT_RETURNS", "PT_TO", "PT_PROTO2", "PT_PROTO3", "PT_IDENT", "PT_STRLIT",
  "PT_DECIMALLIT", "PT_OCTALLIT", "PT_HEXLIT", "$accept", "proto",
  "wholeProtoBody", "syntax", "protoBody", "import", "package", "option",
  "optionName", "customOptionValue", "customOptionBody",
  "symbolsWithoutCurly", "topLevelDef", "message", "messageBody", "enum",
  "enumBody", "enumField", "enumValueOptions", "enumValueOption",
  "service", "serviceBody", "rpc", "rpcDecl", "rpcBody", "stream",
  "streamDecl", "streamBody", "field", "label", "type", "fieldNumber",
  "fieldOptions", "fieldOption", "group", "groupName", "oneof",
  "oneofBody", "oneofField", "mapField", "keyType", "extensions",
  "reserved", "ranges", "range", "quoteFieldNames", "extend", "extendBody",
  "messageName", "enumName", "streamName", "fieldName", "oneofName",
  "mapName", "serviceName", "rpcName", "messageType", "intLit",
  "emptyStatement", "constant", "exIdent", "strLit", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322
};
# endif

#define YYPACT_NINF -249

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-249)))

#define YYTABLE_NINF -1

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     -16,    11,    33,  -249,  -249,   130,   -20,  -249,  -249,  -249,
      69,   376,   101,   376,   376,   376,   376,  -249,  -249,  -249,
    -249,  -249,  -249,  -249,  -249,  -249,    30,    41,     8,     8,
    -249,  -249,  -249,    44,  -249,  -249,  -249,  -249,  -249,  -249,
    -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,
    -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,    45,   376,
      70,  -249,    77,  -249,    81,  -249,    82,  -249,    85,  -249,
    -249,  -249,    67,    83,  -249,  -249,   110,   349,  -249,  -249,
    -249,  -249,  -249,  -249,   376,  -249,    89,    94,  -249,  -249,
     405,   433,   461,    10,  -249,   289,  -249,  -249,  -249,   101,
    -249,  -249,  -249,   113,  -249,  -249,   568,   376,  -249,  -249,
    -249,  -249,   143,    95,   147,   143,   143,    47,   212,  -249,
    -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,
    -249,   376,   376,  -249,  -249,    43,  -249,    54,  -249,  -249,
    -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,
    -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,
    -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,
    -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,
    -249,    47,   143,   376,   119,  -249,   128,  -249,   376,   -15,
    -249,    73,    78,  -249,    93,   135,  -249,   158,  -249,  -249,
    -249,  -249,  -249,   159,   150,  -249,   151,    47,  -249,   133,
    -249,  -249,    47,  -249,     8,   319,  -249,   593,   376,     2,
      16,   101,    47,    47,    20,  -249,   489,   376,  -249,  -249,
    -249,  -249,   376,   164,   140,  -249,  -249,  -249,  -249,  -249,
    -249,   160,    15,  -249,   170,    28,   101,  -249,  -249,   376,
    -249,  -249,   141,   175,   123,   376,   542,   154,   101,  -249,
     101,  -249,   168,    17,  -249,   172,   376,   146,   203,   213,
    -249,  -249,  -249,   517,    21,   542,   189,   101,    47,   207,
    -249,   220,   618,  -249,  -249,   192,  -249,  -249,  -249,    31,
      47,   643,   376,   221,  -249,   101,  -249,    32,   376,   225,
     226,  -249,    22,   101,  -249,   227,  -249,  -249,   200,    23,
    -249,  -249,   201,  -249
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       7,     0,     0,     3,     7,     4,     0,     1,     2,   160,
       0,     0,     0,     0,     0,     0,     0,     8,     9,    10,
      11,    62,    63,    65,    64,    12,     0,     0,     0,     0,
     185,   186,   184,     0,   164,   165,   166,   167,   168,   169,
     114,   115,   116,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   163,   183,     0,     0,
       0,    19,     0,   149,     0,   156,     0,   148,     0,   154,
       5,     6,     0,     0,    13,    16,     0,     0,    80,   144,
      67,    90,    15,    14,    20,    23,     0,     0,   161,   162,
       0,     0,     0,     0,    21,     0,    18,    17,    79,   169,
      81,    82,    83,     0,   143,   145,     0,     0,   146,   147,
     117,    66,   170,   171,   172,   173,   175,   176,   177,    74,
      70,    69,    68,    73,    75,    76,    72,    77,    71,    78,
      89,     0,     0,    91,    92,     0,    94,     0,    93,    29,
      30,    31,    32,    22,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,   157,   158,   159,    28,    26,    27,    24,
      25,     0,   174,     0,     0,   151,     0,   152,     0,     0,
     136,     0,   138,   141,     0,     0,   155,     0,   150,   101,
      95,   107,   104,    85,     0,   123,     0,     0,   125,     0,
     132,   134,     0,   135,     0,     0,   133,     0,     0,     0,
       0,     0,     0,     0,     0,   118,     0,     0,   137,   142,
     139,   140,   180,     0,     0,    96,   102,   103,   105,   108,
     109,     0,     0,    86,     0,     0,     0,   110,   124,     0,
     126,   127,     0,     0,     0,     0,     0,     0,     0,    67,
       0,   112,     0,     0,   119,     0,     0,     0,     0,     0,
      88,    84,    87,     0,     0,     0,     0,     0,     0,     0,
     153,     0,     0,   106,   122,     0,   121,   111,   120,     0,
       0,     0,   180,     0,   113,     0,   129,     0,   180,     0,
       0,    97,     0,     0,   131,     0,    98,    99,     0,     0,
     100,   128,     0,   130
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -249,  -249,   232,  -249,  -249,  -249,  -249,     9,    -2,   142,
    -249,  -249,  -249,   234,   -19,   236,  -249,  -249,  -249,   -14,
    -249,  -249,  -249,  -249,  -249,  -249,  -249,  -249,   152,   -84,
    -103,  -207,  -248,   -35,   155,  -249,  -249,  -249,  -249,  -249,
    -249,  -249,  -249,   131,    38,  -249,   246,  -249,  -249,  -249,
    -249,  -174,  -249,  -249,  -249,  -249,  -173,   -78,     1,  -235,
     -11,     3
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     2,     3,     4,     5,    17,    18,   119,   262,    86,
      95,   177,    20,   120,    92,   121,    90,   101,   242,   243,
      23,    93,   134,   135,   219,   136,   137,   220,   122,    57,
     107,   224,   263,   264,   123,   204,   124,   226,   250,   125,
     209,   126,   127,   189,   190,   191,   128,    91,    66,    62,
     197,   184,   186,   279,    68,   195,    64,   225,   129,    87,
      65,    89
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_uint16 yytable[] =
{
      58,    61,    63,   183,    67,    69,    25,   106,   106,   206,
      60,   235,   274,    33,    19,   244,   245,   178,   211,   130,
     212,   270,   257,     1,   276,   238,   246,     6,   285,   308,
     312,    72,    73,     7,   260,     9,   192,   295,   303,   192,
     286,    26,    27,     9,   233,   234,    12,   302,    76,     9,
     258,   199,   277,   247,    12,   309,   277,   277,   277,   253,
      12,   261,   201,    70,   296,   304,    88,   131,   132,    30,
      31,   289,    32,    94,    71,   265,   200,    74,    75,   103,
     110,   110,   269,   297,   179,    78,    77,   202,    61,    79,
      80,   102,   109,    81,   138,   110,   185,    60,   180,   100,
      82,   187,   133,   203,    63,    59,   213,    67,   214,   293,
      28,    29,   173,   174,   175,    84,    83,   193,   299,   300,
     196,   198,    96,   249,   252,   305,   216,    97,   212,   181,
      30,    31,   188,    32,   192,   207,   208,   230,   215,   217,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,   218,     9,    56,   221,   222,   223,   227,   254,
      10,   205,   185,    11,    12,   255,   256,   210,   259,   266,
     267,    13,   268,    14,   275,    15,    16,   271,   278,   106,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,   231,   281,    56,   282,    30,    31,
      61,    32,   173,   174,   175,   110,   110,   229,   283,   241,
     237,   240,   287,   290,   291,   294,   301,   251,   236,   239,
     306,   307,   310,   311,   313,    61,     8,   176,   185,    21,
     273,    22,   288,   105,   272,    88,   108,    61,   194,    61,
     228,    24,     0,     0,     0,   280,   241,     0,     0,     0,
       0,     0,   110,     0,    88,     0,    61,    50,    51,    52,
      53,    54,    55,     0,     0,    56,     0,     0,     0,     0,
       0,     0,     0,     0,    61,     0,     0,     0,     0,     0,
       0,     0,    61,   139,   140,   141,   142,    85,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      30,    31,    56,    32,   173,   174,   175,    85,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
       0,     0,    56,     0,   173,   174,   175,     0,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      30,    31,    56,    32,    98,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,     0,     9,    56,
       0,     0,   104,     0,    34,    35,    36,    37,    38,    99,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,     9,     0,    56,     0,
     111,     0,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,     9,     0,    56,     0,   248,     0,
      34,    35,    36,    37,    38,    99,    40,    41,    42,   112,
     113,   114,   115,    47,   116,   117,   118,    51,    52,    53,
      54,    55,     9,     0,    56,     0,   284,     0,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
       9,     0,    56,     0,     0,     0,    34,    35,    36,    37,
      38,    99,    40,    41,    42,   112,   113,   114,   115,    47,
     116,   117,   118,    51,    52,    53,    54,    55,     0,     0,
      56,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    30,    31,    56,    32,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
     182,    48,    49,    50,    51,    52,    53,    54,    55,     0,
       0,    56,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,   232,    54,    55,     0,     0,    56,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,   292,    54,    55,     0,
       0,    56,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,   298,    54,    55,     0,     0,    56
};

static const yytype_int16 yycheck[] =
{
      11,    12,    13,   106,    15,    16,     5,    91,    92,   183,
      12,     9,   260,    10,     5,   222,   223,    95,    33,     9,
      35,   256,     7,    39,     7,     9,     6,    16,     7,     7,
       7,    28,    29,     0,     6,    33,   114,     6,     6,   117,
     275,    61,    62,    33,   217,   218,    44,   295,    59,    33,
      35,     8,    35,    33,    44,   303,    35,    35,    35,   232,
      44,    33,     8,    33,    33,    33,    77,    57,    58,    61,
      62,   278,    64,    84,    33,   249,    33,    33,    33,    90,
      91,    92,   255,   290,    95,     8,    16,    33,    99,     8,
       8,    90,    91,     8,    93,   106,   107,    99,    95,    90,
      33,   112,    93,   181,   115,     4,    33,   118,    35,   282,
      41,    42,    65,    66,    67,     5,    33,   114,   291,   292,
     131,   132,    33,   226,   227,   298,    33,    33,    35,    16,
      61,    62,    37,    64,   212,    16,     8,   215,    60,     4,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,     4,    33,    63,     6,    16,    16,    35,     5,
      40,   182,   183,    43,    44,    35,    16,   188,     8,    38,
       5,    51,    59,    53,    16,    55,    56,    33,    16,   273,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,   215,    59,    63,     4,    61,    62,
     221,    64,    65,    66,    67,   226,   227,   214,     5,   221,
     219,   220,    33,    16,     4,    33,     5,   226,   219,   220,
       5,     5,     5,    33,    33,   246,     4,    95,   249,     5,
     259,     5,   277,    91,   258,   256,    91,   258,   117,   260,
     212,     5,    -1,    -1,    -1,   266,   258,    -1,    -1,    -1,
      -1,    -1,   273,    -1,   275,    -1,   277,    55,    56,    57,
      58,    59,    60,    -1,    -1,    63,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   303,     4,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,     8,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    -1,    63,    -1,    65,    66,    67,    -1,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,     9,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    -1,    33,    63,
      -1,    -1,     9,    -1,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    33,    -1,    63,    -1,
       9,    -1,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    33,    -1,    63,    -1,     9,    -1,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    33,    -1,    63,    -1,     9,    -1,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      33,    -1,    63,    -1,    -1,    -1,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    -1,    -1,
      63,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    -1,
      -1,    63,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    -1,    -1,    63
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,    39,    69,    70,    71,    72,    16,     0,    70,    33,
      40,    43,    44,    51,    53,    55,    56,    73,    74,    75,
      80,    81,    83,    88,   114,   126,    61,    62,    41,    42,
      61,    62,    64,   129,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    63,    97,   128,     4,
      76,   128,   117,   128,   124,   128,   116,   128,   122,   128,
      33,    33,   129,   129,    33,    33,   128,    16,     8,     8,
       8,     8,    33,    33,     5,     8,    77,   127,   128,   129,
      84,   115,    82,    89,   128,    78,    33,    33,     9,    44,
      75,    85,   126,   128,     9,    96,    97,    98,   102,   126,
     128,     9,    48,    49,    50,    51,    53,    54,    55,    75,
      81,    83,    96,   102,   104,   107,   109,   110,   114,   126,
       9,    57,    58,    75,    90,    91,    93,    94,   126,     4,
       5,     6,     7,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    65,    66,    67,    77,    79,   125,   128,
     129,    16,    52,    98,   119,   128,   120,   128,    37,   111,
     112,   113,   125,   129,   111,   123,   128,   118,   128,     8,
      33,     8,    33,   125,   103,   128,   119,    16,     8,   108,
     128,    33,    35,    33,    35,    60,    33,     4,     4,    92,
      95,     6,    16,    16,    99,   125,   105,    35,   112,   129,
     125,   128,    58,   124,   124,     9,    75,   126,     9,    75,
     126,    76,    86,    87,    99,    99,     6,    33,     9,    98,
     106,   126,    98,   124,     5,    35,    16,     7,    35,     8,
       6,    33,    76,   100,   101,   119,    38,     5,    59,   124,
     127,    33,    87,    82,   100,    16,     7,    35,    16,   121,
     128,    59,     4,     5,     9,     7,   127,    33,   101,    99,
      16,     4,    58,   124,    33,     6,    33,    99,    58,   124,
     124,     5,   100,     6,    33,   124,     5,     5,     7,   100,
       5,    33,     7,    33
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    68,    69,    69,    70,    71,    71,    72,    72,    72,
      72,    72,    72,    73,    73,    73,    74,    75,    75,    76,
      76,    76,    77,    78,    78,    78,    78,    78,    78,    79,
      79,    79,    79,    79,    79,    79,    79,    79,    79,    79,
      79,    79,    79,    79,    79,    79,    79,    79,    79,    79,
      79,    79,    79,    79,    79,    79,    79,    79,    79,    79,
      79,    79,    80,    80,    80,    80,    81,    82,    82,    82,
      82,    82,    82,    82,    82,    82,    82,    82,    82,    83,
      84,    84,    84,    84,    85,    85,    86,    86,    87,    88,
      89,    89,    89,    89,    89,    90,    90,    91,    91,    91,
      91,    92,    92,    92,    93,    93,    94,    95,    95,    95,
      96,    96,    96,    96,    97,    97,    97,    98,    99,   100,
     100,   101,   102,   103,   104,   105,   105,   105,   106,   106,
     107,   107,   108,   109,   110,   110,   111,   111,   112,   112,
     112,   113,   113,   114,   115,   115,   115,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   125,   125,
     126,   127,   127,   128,   128,   128,   128,   128,   128,   128,
     128,   128,   128,   128,   128,   128,   128,   128,   128,   128,
     128,   128,   128,   128,   129,   129,   129
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     2,     1,     1,     4,     4,     0,     2,     2,
       2,     2,     2,     3,     4,     4,     3,     5,     5,     1,
       3,     4,     3,     0,     2,     2,     2,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     5,     0,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     5,
       0,     2,     2,     2,     7,     3,     1,     3,     3,     5,
       0,     2,     2,     2,     2,     2,     4,     9,    10,    10,
      11,     0,     2,     2,     2,     4,     7,     0,     2,     2,
       5,     8,     6,     9,     1,     1,     1,     1,     1,     1,
       3,     3,     8,     1,     5,     0,     2,     2,     8,     5,
      13,    10,     1,     3,     3,     3,     1,     3,     1,     3,
       3,     1,     3,     5,     0,     2,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (yyscanner, state, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256



/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)

/* This macro is provided for backward compatibility. */
#ifndef YY_LOCATION_PRINT
# define YY_LOCATION_PRINT(File, Loc) ((void) 0)
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, yyscanner, state); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, void *yyscanner, protobuf_lang_state_t *state)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yyscanner);
  YYUSE (state);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, void *yyscanner, protobuf_lang_state_t *state)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yyscanner, state);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, int yyrule, void *yyscanner, protobuf_lang_state_t *state)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                                              , yyscanner, state);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule, yyscanner, state); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, void *yyscanner, protobuf_lang_state_t *state)
{
  YYUSE (yyvaluep);
  YYUSE (yyscanner);
  YYUSE (state);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void *yyscanner, protobuf_lang_state_t *state)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yystacksize);

        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 4:
#line 119 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    {
        /* set real package name */
        pbl_set_node_name((yyvsp[0].node), state->file->package_name);
        /* use the allocate mem of the name of the package node */
        state->file->package_name = pbl_get_node_name((yyvsp[0].node));
        /* put this file data into package tables */
        pbl_node_t* packnode = (pbl_node_t*)g_hash_table_lookup(state->pool->packages, state->file->package_name);
        if (packnode) {
            pbl_merge_children(packnode, (yyvsp[0].node));
            pbl_free_node((yyvsp[0].node));
        } else {
            g_hash_table_insert(state->pool->packages, g_strdup(state->file->package_name), (yyvsp[0].node));
        }
    }
#line 1669 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 5:
#line 138 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { state->file->syntax_version = 2; }
#line 1675 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 6:
#line 139 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { state->file->syntax_version = 3; }
#line 1681 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 7:
#line 143 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_node(state->file, PBL_PACKAGE, NAME_TO_BE_SET); }
#line 1687 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 11:
#line 147 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1693 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 13:
#line 153 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { pbl_add_proto_file_to_be_parsed(state->pool, (yyvsp[-1].sval)); }
#line 1699 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 14:
#line 154 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { pbl_add_proto_file_to_be_parsed(state->pool, (yyvsp[-1].sval)); }
#line 1705 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 15:
#line 155 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { pbl_add_proto_file_to_be_parsed(state->pool, (yyvsp[-1].sval)); }
#line 1711 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 16:
#line 160 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    {   /* The memory of $2 will be freed after parsing, but the package_name will
           be replaced by the new-allocated name of package node late */
        state->file->package_name = (yyvsp[-1].sval);
    }
#line 1720 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 20:
#line 176 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.sval) = pbl_store_string_token(state, g_strconcat("(", (yyvsp[-1].sval), ")", NULL)); }
#line 1726 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 21:
#line 177 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.sval) = pbl_store_string_token(state, g_strconcat("(", (yyvsp[-2].sval), ")", (yyvsp[0].sval), NULL)); }
#line 1732 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 66:
#line 214 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_set_node_name((yyval.node), (yyvsp[-3].sval)); }
#line 1738 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 67:
#line 220 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_node(state->file, PBL_MESSAGE, NAME_TO_BE_SET); }
#line 1744 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 68:
#line 221 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    {  (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1750 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 69:
#line 222 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1756 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 70:
#line 223 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1762 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 73:
#line 226 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1768 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 75:
#line 228 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_merge_children((yyval.node), (yyvsp[0].node)); pbl_free_node((yyvsp[0].node)); }
#line 1774 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 76:
#line 229 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1780 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 79:
#line 236 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_set_node_name((yyval.node), (yyvsp[-3].sval)); }
#line 1786 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 80:
#line 241 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_node(state->file, PBL_ENUM, NAME_TO_BE_SET); }
#line 1792 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 82:
#line 243 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1798 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 84:
#line 250 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_enum_value_node(state->file, (yyvsp[-6].sval), (yyvsp[-4].ival)); }
#line 1804 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 85:
#line 252 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_enum_value_node(state->file, (yyvsp[-2].sval), (yyvsp[0].ival)); }
#line 1810 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 89:
#line 266 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_set_node_name((yyval.node), (yyvsp[-3].sval)); }
#line 1816 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 90:
#line 270 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_node(state->file, PBL_SERVICE, NAME_TO_BE_SET); }
#line 1822 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 92:
#line 272 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1828 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 94:
#line 274 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1834 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 97:
#line 287 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_method_node(state->file, (yyvsp[-7].sval), (yyvsp[-5].sval), FALSE, (yyvsp[-1].sval), FALSE); }
#line 1840 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 98:
#line 290 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_method_node(state->file, (yyvsp[-8].sval), (yyvsp[-5].sval), TRUE, (yyvsp[-1].sval), FALSE); }
#line 1846 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 99:
#line 293 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_method_node(state->file, (yyvsp[-8].sval), (yyvsp[-6].sval), FALSE, (yyvsp[-1].sval), TRUE); }
#line 1852 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 100:
#line 296 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_method_node(state->file, (yyvsp[-9].sval), (yyvsp[-6].sval), TRUE, (yyvsp[-1].sval), TRUE); }
#line 1858 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 106:
#line 314 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_method_node(state->file, (yyvsp[-5].sval), (yyvsp[-3].sval), TRUE, (yyvsp[-1].sval), TRUE); }
#line 1864 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 110:
#line 329 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_field_node(state->file, NULL, (yyvsp[-4].sval), (yyvsp[-3].sval), (yyvsp[-1].ival), NULL); }
#line 1870 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 111:
#line 332 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_field_node(state->file, NULL, (yyvsp[-7].sval), (yyvsp[-6].sval), (yyvsp[-4].ival), (yyvsp[-2].node)); }
#line 1876 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 112:
#line 335 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_field_node(state->file, (yyvsp[-5].sval), (yyvsp[-4].sval), (yyvsp[-3].sval), (yyvsp[-1].ival), NULL); }
#line 1882 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 113:
#line 338 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_field_node(state->file, (yyvsp[-8].sval), (yyvsp[-7].sval), (yyvsp[-6].sval), (yyvsp[-4].ival), (yyvsp[-2].node)); }
#line 1888 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 119:
#line 355 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_node(state->file, PBL_OPTIONS, NEED_NOT_NAME); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1894 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 120:
#line 357 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-2].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1900 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 121:
#line 362 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_option_node(state->file, (yyvsp[-2].sval), (yyvsp[0].sval)); }
#line 1906 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 122:
#line 368 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_set_node_name((yyval.node), (yyvsp[-5].sval)); }
#line 1912 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 124:
#line 375 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_set_node_name((yyval.node), (yyvsp[-3].sval)); }
#line 1918 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 125:
#line 379 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_node(state->file, PBL_ONEOF, NAME_TO_BE_SET); }
#line 1924 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 126:
#line 380 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1930 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 128:
#line 388 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_field_node(state->file, NULL, (yyvsp[-7].sval), (yyvsp[-6].sval), (yyvsp[-4].ival), (yyvsp[-2].node)); }
#line 1936 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 129:
#line 391 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_field_node(state->file, NULL, (yyvsp[-4].sval), (yyvsp[-3].sval), (yyvsp[-1].ival), NULL); }
#line 1942 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 130:
#line 398 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    {
        (yyval.node) = pbl_create_map_field_node(state->file, (yyvsp[-6].sval), (yyvsp[-4].ival), (yyvsp[-2].node));
        pbl_add_child((yyval.node), pbl_create_field_node(state->file, NULL, (yyvsp[-10].sval), "key", 1, NULL)); /* add key field */
        pbl_add_child((yyval.node), pbl_create_field_node(state->file, NULL, (yyvsp[-8].sval), "value", 2, NULL)); /* add value field */
    }
#line 1952 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 131:
#line 405 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    {
        (yyval.node) = pbl_create_map_field_node(state->file, (yyvsp[-3].sval), (yyvsp[-1].ival), NULL);
        pbl_add_child((yyval.node), pbl_create_field_node(state->file, NULL, (yyvsp[-7].sval), "key", 1, NULL)); /* add key field */
        pbl_add_child((yyval.node), pbl_create_field_node(state->file, NULL, (yyvsp[-5].sval), "value", 2, NULL)); /* add value field */
    }
#line 1962 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 143:
#line 451 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_set_node_name((yyval.node), pbl_store_string_token(state, g_strconcat((yyvsp[-3].sval), "Extend", NULL))); }
#line 1968 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 144:
#line 456 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = pbl_create_node(state->file, PBL_MESSAGE, NAME_TO_BE_SET); }
#line 1974 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 145:
#line 457 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1980 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;

  case 146:
#line 458 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1648  */
    { (yyval.node) = (yyvsp[-1].node); pbl_add_child((yyval.node), (yyvsp[0].node)); }
#line 1986 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
    break;


#line 1990 "/usr/src/RPM/BUILD/wireshark-3.2.6/BUILD/epan/protobuf_lang.c" /* yacc.c:1648  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (yyscanner, state, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yyscanner, state, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, yyscanner, state);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yyscanner, state);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (yyscanner, state, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, yyscanner, state);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yyscanner, state);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 499 "/usr/src/RPM/BUILD/wireshark-3.2.6/epan/protobuf_lang.y" /* yacc.c:1907  */


DIAG_ON_BYACC

int
pbl_get_current_lineno(void* scanner)
{
    return protobuf_langget_lineno(scanner);
}

void
protobuf_langerror(void* yyscanner, protobuf_lang_state_t *state, const char *msg)
{
    int lineno;
    void(*error_cb)(const char *format, ...);
    const char* filepath = (state && state->file) ?
                            state->file->filename : "UNKNOWN";

    error_cb = (state && state->pool->error_cb) ?
                state->pool->error_cb : pbl_printf;

    lineno = yyscanner ? protobuf_langget_lineno(yyscanner) : -1;

    if (lineno > -1) {
        error_cb("Protobuf: Parsing file [%s:%d] failed: %s\n", filepath, lineno, msg);
    } else {
        error_cb("Protobuf: Parsing file [%s] failed: %s\n", filepath, msg);
    }
}

void
protobuf_langerrorv(void* yyscanner, protobuf_lang_state_t *state, const char *fmt, ...)
{
    char* msg;
    va_list ap;
    va_start(ap, fmt);
    msg = g_strdup_vprintf(fmt, ap);
    protobuf_langerror(yyscanner, state, msg);
    va_end(ap);
    g_free(msg);
}

void
pbl_parser_error(protobuf_lang_state_t *state, const char *fmt, ...)
{
    char* msg;
    void* scanner;
    va_list ap;
    va_start(ap, fmt);
    msg = g_strdup_vprintf(fmt, ap);
    scanner = state ? state->scanner : NULL;
    protobuf_langerror(scanner, state, msg);
    va_end(ap);
    g_free(msg);
}

static void
pbl_clear_state(protobuf_lang_state_t *state, pbl_descriptor_pool_t* pool)
{
    if (state == NULL) {
        return;
    }

    state->pool = NULL;
    state->file = NULL;
    state->scanner = NULL;

    if (state->lex_string_tokens) {
        g_slist_free_full(state->lex_string_tokens, g_free);
    }
    state->lex_string_tokens = NULL;

    if (pool) {
        pool->parser_state = NULL;
    }
}

static void
pbl_reinit_state(protobuf_lang_state_t *state, pbl_descriptor_pool_t* pool, const char* filepath)
{
    if (state == NULL) {
        return;
    }
    pbl_clear_state(state, pool);

    state->pool = pool;
    state->file = (pbl_file_descriptor_t*) g_hash_table_lookup(pool->proto_files, filepath);

    if (pool) {
        pool->parser_state = state;
    }
}

int run_pbl_parser(pbl_descriptor_pool_t* pool)
{
    protobuf_lang_state_t state = {0};
    yyscan_t scanner;
    GSList* it;
    FILE * fp;
    int status;
    const char* filepath;

    it = pool->proto_files_to_be_parsed;
    while (it) {
        filepath = (const char*) it->data;
        /* reinit state and scanner */
        pbl_reinit_state(&state, pool, filepath);
        scanner = NULL;

        /* Note that filepath is absolute path in proto_files */
        fp = ws_fopen(filepath, "r");
        if (fp == NULL) {
            protobuf_langerrorv(NULL, &state, "File does not exists!");
            pbl_clear_state(&state, pool);
            return -1;
        }

        status = protobuf_langlex_init(&scanner);
        if (status != 0) {
            protobuf_langerrorv(NULL, &state, "Initialize Protocol Buffers Languange scanner failed!\n");
            fclose(fp);
            pbl_clear_state(&state, pool);
            return status;
        }

        /* associate the parser state with the lexical analyzer state */
        protobuf_langset_extra(&state, scanner);
        state.scanner = scanner;

        protobuf_langrestart(fp, scanner);
        status = protobuf_langparse(scanner, &state);
        fclose(fp);
        if (status != 0) {
            /* grammar errors should have been reported during parsing */
            pbl_clear_state(&state, pool);
            return status;
        }

        /* remove the parsed file from list */
        pool->proto_files_to_be_parsed = it = g_slist_delete_link(pool->proto_files_to_be_parsed, it);
    }

    return 0;
}

DIAG_OFF_BYACC
